Public Attributes | List of all members
_ll_bod_init Struct Reference
Peripheral Driver » LL Driver » BOD Module Driver » Structures » BOD Exported init structures

LL BOD init Structure definition. More...

`#include <gr533x_ll_bod.h>`

## Public Attributes
uint8_t | bod_en
uint8_t | bod2_en
uint8_t | bod2_lvl
uint8_t | bod_static_en
uint8_t | bod2_auto_power_bypass_en

## Detailed Description

LL BOD init Structure definition.

Definition at line 74 of file gr533x_ll_bod.h.

## Member Data Documentation

## ◆ bod2_auto_power_bypass_en

uint8_t _ll_bod_init::bod2_auto_power_bypass_en

Specifies the bod bod2 auto power bypass. This parameter can be a value of BOD2 AUTO POWER BYPASS. This parament can be modified afterwards using unitary function ll_bod_bod2_auto_power_bypass_enable() and ll_bod_bod2_auto_power_bypass_disable().

Definition at line 91 of file gr533x_ll_bod.h.

## ◆ bod2_en

uint8_t _ll_bod_init::bod2_en

Specifies the bod2 enable. This parameter can be any value of BOD2 ENABLE. This parament can be modified afterwards using unitary function ll_bod_bod2_enable() and ll_bod_bod2_disable()..

Definition at line 80 of file gr533x_ll_bod.h.

## ◆ bod2_lvl

uint8_t _ll_bod_init::bod2_lvl

Specifies the bod2 level. This parameter can be a value of BOD2 LVEVL. This parament can be modified afterwards using unitary function ll_bod_bod2_lvl_ctrl_lv_set().

Definition at line 84 of file gr533x_ll_bod.h.

## ◆ bod_en

uint8_t _ll_bod_init::bod_en

Specifies the bod enable. This parameter can be any value of BOD ENABLE. This parament can be modified afterwards using unitary function ll_bod_bod_enable() and ll_bod_bod_disable().

Definition at line 76 of file gr533x_ll_bod.h.

## ◆ bod_static_en

uint8_t _ll_bod_init::bod_static_en

Specifies the bod static enbale. This parameter can be a value of BOD STATIC ENABLE. This parament can be modified afterwards using unitary function ll_bod_static_enable() and ll_bod_static_disable().

Definition at line 87 of file gr533x_ll_bod.h.

The documentation for this struct was generated from the following file:

- gr533x_ll_bod.h